﻿-- local frame = CreateFrame("Button",nil,UIParent,"MainHelpPlateButton") frame:SetPoint("CENTER",0,0)


-- Populating hopAddon frame

hopAddon.closeButton = CreateFrame("Button", nil, hopAddon,"UIPanelCloseButton")
hopAddon.closeButton:SetSize(25,25)
hopAddon.closeButton:SetPoint("BOTTOMRIGHT",-4,100)
hopAddon.closeButton:SetScript("OnClick", function(btn)
	hopAddon:Hide()
end)


-- mode change
hopAddon.buttonChangeMode = CreateFrame("Button",nil,hopAddon,"UIGoldBorderButtonTemplate")
hopAddon.buttonChangeMode:SetSize(140,24)
hopAddon.buttonChangeMode:SetPoint("BOTTOM", 0,110)
hopAddon.buttonChangeMode:SetText(HOPADDON_CHANGEMODE)

-- hop/search mode toggle button
hopAddon.buttonChangeMode:SetScript("OnClick", function(btn)
	FinishHopSearch()
	FinishCustomSearch()

	if hopAddon.hopFrame:IsShown() then
		hopAddon.hopFrame:Hide()
		hopAddon.searchFrame:Show()
	else
		hopAddon.hopFrame:Show()
		hopAddon.searchFrame:Hide()
	end

end)

local customOptions = hopAddon.optionsFrame.customSearchOptionsFrame

local function ServerHop_EventSystem(self, event, ...)
	local arg1 = ...
	if event == "PLAYER_LOGIN" then	
		if ServerHopPosition == nil then
			ServerHopPosition = {}
			ServerHopPosition[1]="CENTER"
			ServerHopPosition[2]=0
			ServerHopPosition[3]=0
			ServerHopPosition[4]=hopAddon:IsShown()
			ServerHopPosition[5]=225
		else
			hopAddon:SetPoint(ServerHopPosition[1],ServerHopPosition[2],ServerHopPosition[3])
			if ServerHopPosition[4] then
				hopAddon:Show()
			end
			hopAddon_Minimap.minimapPos = ServerHopPosition[5]
		end
		
		hopAddon_Minimap.MinimapUpdate(hopAddon_Minimap)
		
		hopAddon.searchFrame.dropDown.activeValue = 6
		hopAddon.searchFrame.dropDown.text:SetText(C_LFGList.GetCategoryInfo(hopAddon.searchFrame.dropDown.activeValue))

		if ServerHopSettings == nil then
			ServerHopSettings = {}
			ServerHopSettings[1] = true
			ServerHopSettings[2] = true
			ServerHopSettings[3] = true
			ServerHopSettings[4] = true
			ServerHopSettings[5] = false
			-- Only Auto Invite
			ServerHopSettings[6] = true
			ServerHopSettings["MINIMAP_ICON"] = true
		else
			customOptions.tankCheckButton:SetChecked(ServerHopSettings[1])
			customOptions.dpsCheckButton:SetChecked(ServerHopSettings[2])
			customOptions.healCheckButton:SetChecked(ServerHopSettings[3])
			customOptions.soundCheckButton:SetChecked(ServerHopSettings[4])
			customOptions.endlessCheckBox:SetChecked(ServerHopSettings[5])
			hopAddon.optionsFrame.hopSearchOptionsFrame.autoInviteCheck:SetChecked(ServerHopSettings[6])
			hopAddon.optionsFrame.globalOptionsFrame.MinimapCheckButton:SetChecked(ServerHopSettings["MINIMAP_ICON"])
			if ServerHopSettings["MINIMAP_ICON"] ~= nil and ServerHopSettings["MINIMAP_ICON"] == false then
				hopAddon_Minimap:Hide()
			end
			
		end
		
		C_LFGList.RequestAvailableActivities();

		
	elseif event == "PLAYER_LOGOUT" then
	
		local point, relativeTo, relativePoint, xOfs, yOfs = hopAddon:GetPoint()
		
		ServerHopPosition[1]=point
		ServerHopPosition[2]=xOfs
		ServerHopPosition[3]=yOfs
		ServerHopPosition[4]=hopAddon:IsShown()
		ServerHopPosition[5]=hopAddon_Minimap.minimapPos
		
		ServerHopSettings[1] = customOptions.tankCheckButton:GetChecked()
		ServerHopSettings[2] = customOptions.dpsCheckButton:GetChecked()
		ServerHopSettings[3] = customOptions.healCheckButton:GetChecked()
		ServerHopSettings[4] = customOptions.soundCheckButton:GetChecked()
		ServerHopSettings[5] = customOptions.endlessCheckBox:GetChecked()
		ServerHopSettings[6] = hopAddon.optionsFrame.hopSearchOptionsFrame.autoInviteCheck:GetChecked()
		ServerHopSettings["MINIMAP_ICON"] = hopAddon.optionsFrame.globalOptionsFrame.MinimapCheckButton:GetChecked()
	end
	
end

--Events
hopAddon:SetScript("OnEvent", ServerHop_EventSystem)
hopAddon:RegisterEvent("PLAYER_LOGIN")
hopAddon:RegisterEvent("PLAYER_LOGOUT")

--Dragging
hopAddon:SetMovable(true)
hopAddon:EnableMouse(true)
hopAddon:RegisterForDrag("LeftButton")
hopAddon:SetScript("OnDragStart", hopAddon.StartMoving)
hopAddon:SetScript("OnDragStop", hopAddon.StopMovingOrSizing)